- name: Create service
  ansible.builtin.debug:
    msg: "{{ service }}"

- name: Ensure correct timezone
  ansible.builtin.set_fact:
    _app_env: "{{ service.environment | default([]) | combine({'TZ': timezone}) }}"

- name: Configure volume directories
  ansible.builtin.include_role:
    name: podman_systemd
    tasks_from: directories.yml
  vars:
    app_dir_volumes: "{{ service.volumes }}"
    app_name: "{{ service.app_name }}"
  when: service.volumes is defined

- name: Configure networks
  ansible.builtin.include_role:
    name: podman_systemd
    tasks_from: network.yml
  vars:
    networks: "{{ service.networks }}"
  when: service.networks is defined

- name: Create healthchecks container
  ansible.builtin.include_role:
    name: podman_systemd
    tasks_from: create_container.yml
  vars:
    app_name: "{{ service.app_name }}"
    app_dir_volumes: "{{ service.volumes | default([]) }}"
    app_env: "{{ _app_env | community.general.dict }}"
    app_image: "{{ service.image }}"
    app_memory: "512M"
    app_ports: "{{ service.ports }}"
    app_ports_internal: "{{ service.ports_internal }}"
    app_command: "{{ service.command }}"
    app_labels: "{{ service.label | default(omit) }}"
    app_security_opt: "{{ service.security_opt | default(omit) }}"
    app_privileged: "{{ service.privileged | default(false) }}"
    app_networks: "{{ service.networks | default(podman) }}"
    app_environment: "{{ service.environment }}"
